# Method: customers.insert

- [HTTP request](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/insert#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/insert#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/insert#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/insert#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/insert#try-it)

Orders a new customer's account.

Before ordering a new customer account, establish whether the customer account already exists using the [`customers.get`](https://developers.google.com/workspace/admin/reseller/v1/reference/customers/get)

If the customer account exists as a direct Google account or as a resold customer account from another reseller, use the `customerAuthToken\` as described in [order a resold account for an existing customer](https://developers.google.com/workspace/admin/reseller/v1/how-tos/manage_customers#create_existing_customer). For more information about ordering a new customer account, see [order a new customer account](https://developers.google.com/workspace/admin/reseller/v1/how-tos/manage_customers#create_customer).

After creating a new customer account, you must provision a user as an administrator. The customer's administrator is required to sign in to the Admin console and sign the G Suite via Reseller agreement to activate the account. Resellers are prohibited from signing the G Suite via Reseller agreement on the customer's behalf. For more information, see [order a new customer account](https://developers.google.com/workspace/admin/reseller/v1/how-tos/manage_customers#tos).

### HTTP request

`POST https://reseller.googleapis.com/apps/reseller/v1/customers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `customerAuthToken` | `string` The `customerAuthToken` query string is required when creating a resold account that transfers a direct customer's subscription or transfers another reseller customer's subscription to your reseller management. This is a hexadecimal authentication token needed to complete the subscription transfer. For more information, see the [administrator help center](https://support.google.com/a/bin/answer.py?answer=142336). |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers#Customer`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers#Customer`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).